Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve voice consent

audio.voice_consents.retrieve(consent_id) -> VoiceConsent { id, created_at, language, 2 more }
GET
/audio/voice_consents/{consent_id}

Retrieves a voice consent recording.

Parameters
Returns

Retrieve voice consent

require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

voice_consent = openai.audio.voice_consents.retrieve("consent_id")

puts(voice_consent)
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}